## com.acme
Class DispatchServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.acme.DispatchServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class DispatchServlet

extends HttpServlet

Test Servlet RequestDispatcher.

Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`DispatchServlet()`

Method Summary
`void` `destroy()`
`void` `doGet(HttpServletRequest sreq, HttpServletResponse sres)`
`void` `doPost(HttpServletRequest sreq, HttpServletResponse sres)`
`String` `getServletInfo()`
`void` `init(ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatchServlet

    public DispatchServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### doPost

    public void doPost(HttpServletRequest sreq,
                       HttpServletResponse sres)
                throws ServletException,
                       IOException

  Overrides:
    `doPost` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doGet

    public void doGet(HttpServletRequest sreq,
                      HttpServletResponse sres)
               throws ServletException,
                      IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `Servlet`
  Overrides:
    `getServletInfo` in class `GenericServlet`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Servlet`
  Overrides:
    `destroy` in class `GenericServlet`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.